# v0.9.0 Release Notes

The purpose of this release was to get part of the PDKMaster API stable so that user code could also be more stable. The API part that is now considered to be close to stable is the part of defining technology data together with definition of circuit, layout, cell and library of cells. As we still are not at version 1.0 smaller API changes are not ruled out yet. 
The layout generation code is still considered an unstable part of the API and bigger backwards incompatible changes are expected there.

Part of the development was also driven by the proof-of-concept implementation of the [scalable analog blocks](https://chips4makers.io/blog/pdkmaster-circuits-and-layouts-for-bandgap-and-adc.html) as part of a [NLnet project](https://nlnet.nl/project/AMSL/).

For this release the full code base has got an overhaul and no detailed overview will be given here on separate changes. An overview of part of the work done for this relese can be found on the gitlab repo [v0.9.0 milestone](https://gitlab.com/Chips4Makers/PDKMaster/-/milestones/3) page.
The updated [documentation for this release](https://chips4makers.io/documentation/PDKMaster/v0.9.0/) gives the state of the current API and it's usage in user code.

Before this release often API changes were done to PDKMaster that also needed changes in the c4m-flex* and the c4m-pdk-* repos. This meant that only a fixed combination of the commits on each of the repos gave a working setup. This made it hard to impossible to support any external code contributions. Current release should relieve this barrier. Additionally now a [contribution guide](https://gitlab.com/Chips4Makers/PDKMaster/-/blob/main/Contributing.md) has been added to the repo and the [licensing](https://gitlab.com/Chips4Makers/PDKMaster/-/blob/main/LICENSE.md) has been updated to inlude Apache as one of the multi-licenses for the code. A rationale on the licensing has been put in the [README file](https://gitlab.com/Chips4Makers/PDKMaster/-/blob/main/README.md) of the project.  
With all these things in place this project should now be ready for external contributions. As explained in the [contribution guide](https://gitlab.com/Chips4Makers/PDKMaster/-/blob/main/Contributing.md), feel free to submit issues, feature requests and merge requests.

The work performed for this release was partly sponsored by the [analog lib NLnet project](https://nlnet.nl/project/AMSL/) and when that project ended continued by partial funding from WP5 of the [GOIT project](https://goit-project.eu).
